libmwaw_applepict1::PictParser Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
libmwaw_applepict1::PictParser Class Reference

internal and low level: map opcode id -> OpCode More...

## Public Member Functions
| PictParser ()
| the constructor More...
void | parse (MWAWInputStreamPtr input, libmwaw::DebugFile &dFile)
| internal and low level: parses a picture and stores the parsing in dFile More...
bool | convertToPict2 (librevenge::RVNGBinaryData const &orig, librevenge::RVNGBinaryData &result)
| internal and low level: tries to convert a Pict1.0 picture stored in orig in a Pict2.0 picture More...

## Protected Attributes
std::map< int, OpCode const * > | m_mapIdOp
| the map More...

## Detailed Description

internal and low level: map opcode id -> OpCode

## Constructor & Destructor Documentation

libmwaw_applepict1::PictParser::PictParser | ( |  | ) |
| inline

the constructor

## Member Function Documentation

bool libmwaw_applepict1::PictParser::convertToPict2 | ( | librevenge::RVNGBinaryData const & | orig,
|  | librevenge::RVNGBinaryData & | result
| ) |  |

internal and low level: tries to convert a Pict1.0 picture stored in orig in a Pict2.0 picture

Referenced by MWAWPictMac::convertPict1To2().

void libmwaw_applepict2::PictParser::parse | ( | MWAWInputStreamPtr | input,
|  | libmwaw::DebugFile & | dFile
| ) |  |

internal and low level: parses a picture and stores the parsing in dFile

Note
  this is mainly a debugging function but this function can probably serve as model if we want to convert a Pict1.0 in another format

Referenced by MWAWPictMac::parsePict1(), and MWAWPictMac::parsePict2().

## Member Data Documentation

std::map<int,OpCode const *> libmwaw_applepict1::PictParser::m_mapIdOp
| protected

the map

Referenced by convertToPict2(), parse(), PictParser(), and libmwaw_applepict2::PictParser::PictParser().

The documentation for this class was generated from the following file:

- MWAWPictMac.cxx